/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Sistema;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderSistema implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        Sistema formaPago = (Sistema) o;

        Listcell lc = new Listcell(formaPago.getSistemaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(formaPago.getNombsistema());
        lc.setParent(lstm);

        lstm.setAttribute("data", formaPago);
    }
}
